Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex BareMetal
    • Все инструкции
    • Обзор сервиса
    • Интеграции с другими сервисами Yandex Cloud
      • Обзор
      • Готовые конфигурации серверов
      • Своя конфигурация сервера
      • Конфигурация сервера по запросу
      • Обзор
      • Публичная сеть
      • Приватная сеть
      • DHCP
      • MC-LAG
      • Ограничения в сетях BareMetal
      • Обзор
      • Образы
      • Управление доступом
      • Дополнительные настройки серверов
      • Консоль управления
        • Аутентификация в API
            • Overview
              • Overview
              • GetPublicSubnet
              • ListPublicSubnets
              • CreatePublicSubnet
              • UpdatePublicSubnet
              • DeletePublicSubnet
              • ListPublicSubnetOperations
      • Метрики Monitoring
    • Квоты и лимиты
  • Правила тарификации
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • AutoAllocation
  • ManualAllocation
  • DhcpOptions
  1. Концепции
  2. Настройка и управление
  3. Справочник API
  4. API v2
  5. REST (англ.)
  6. PublicSubnet
  7. GetPublicSubnet

BareMetal API, REST: PublicSubnet.GetPublicSubnet

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • AutoAllocation
  • ManualAllocation
  • DhcpOptions

Returns the specific PublicSubnet resource.

To get the list of available PublicSubnet resources, make a [List] request.

https://google.aip.dev/130 --)

HTTP requestHTTP request

GET https://baremetal.api.yandexcloud.kz/baremetal/v2/clouds/{cloudId}/folders/{folderId}/publicSubnets/{publicSubnetId}

Path parametersPath parameters

Field

Description

cloudId

string

Required field. ID of the parent cloud.

To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request.

folderId

string

Required field. ID of the parent folder.

To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

publicSubnetId

string

Required field. ID of the PublicSubnet resource to return.

To get the public subnet ID use a [PublicSubnetService.List] request.

ResponseResponse

HTTP Code: 200 - OK

{
  "publicSubnetId": "string",
  "cloudId": "string",
  "folderId": "string",
  "name": "string",
  "description": "string",
  "hardwarePoolIds": [
    "string"
  ],
  "type": "string",
  // Includes only one of the fields `autoAllocation`, `manualAllocation`
  "autoAllocation": {
    "prefixLength": "string"
  },
  "manualAllocation": {
    "cidr": "string",
    "publicPrefixPoolId": "string"
  },
  // end of the list of possible fields
  "prefixLength": "string",
  "cidr": "string",
  "dhcpOptions": {
    "startIp": "string",
    "endIp": "string"
  },
  "gatewayIp": "string",
  "publicPrefixPoolId": "string",
  "createTime": "string",
  "updateTime": "string",
  "annotations": "object",
  "deletionUnlockTime": "string"
}

A PublicSubnet resource.

Field

Description

publicSubnetId

string

ID of the public subnet.

cloudId

string

ID of the cloud that the public subnet belongs to.

folderId

string

ID of the folder that the public subnet belongs to.

name

string

Name of the public subnet.
The name is unique within the folder.

The string length in characters must be 2-63. Value must match the regular expression [a-z]([-a-z0-9]*[a-z0-9])?.

description

string

Optional description of the public subnet.

The maximum string length in characters is 1024.

hardwarePoolIds[]

string

IDs of the hardware pool that the public subnet belongs to.

type

enum (Type)

Type of the public subnet (dedicated or ephemeral).

Cannot be set on creation. It's DEDICATED by default. EPHEMERAL networks are created only within the server.
Only EPHEMERAL -> DEDICATED update is possible.

  • DEDICATED: Dedicated public subnet.
  • EPHEMERAL: Ephemeral public subnet.

autoAllocation

AutoAllocation

Automatic CIDR allocation from the system public prefix pool.

Includes only one of the fields autoAllocation, manualAllocation.

Method for allocating CIDR block to the public subnet.

manualAllocation

ManualAllocation

Manual CIDR allocation with explicit CIDR from user's own public prefix pool (BYOIP).

Includes only one of the fields autoAllocation, manualAllocation.

Method for allocating CIDR block to the public subnet.

prefixLength

string (int64)

Prefix length of the public subnet CIDR block.

cidr

string

CIDR block for the public subnet.

dhcpOptions

DhcpOptions

DHCP options for the public subnet.

gatewayIp

string

Gateway IP address for the public subnet.

publicPrefixPoolId

string

ID of the public prefix pool that the public subnet belongs to.

createTime

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updateTime

string (date-time)

Update timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

annotations

object (map<string, string>)

Resource annotations as key:value pairs.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

deletionUnlockTime

string (date-time)

Timestamp when deletion of the public subnet is allowed.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

AutoAllocationAutoAllocation

Field

Description

prefixLength

string (int64)

Prefix length of the public subnet CIDR block.

Acceptable values are 1 to 31, inclusive.

ManualAllocationManualAllocation

Field

Description

cidr

string

CIDR block of the public subnet. Must be within the public prefix pool CIDR block.

publicPrefixPoolId

string

ID of the public prefix pool that the CIDR block belongs to.

To get a list of available public prefix pools, use the [PublicPrefixPoolService.List] request.

DhcpOptionsDhcpOptions

DHCP options for a subnet.

Field

Description

startIp

string

Start IP address of the DHCP range (inclusive).

endIp

string

End IP address of the DHCP range (inclusive).

Была ли статья полезна?

Предыдущая
Overview
Следующая
ListPublicSubnets
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»